import * as beet from '@metaplex-foundation/beet';
import * as web3 from '@solana/web3.js';
import { CreateOrUpdateArgs } from '../types/CreateOrUpdateArgs';
export type CreateOrUpdateInstructionArgs = {
    createOrUpdateArgs: CreateOrUpdateArgs;
};
export declare const CreateOrUpdateStruct: beet.FixableBeetArgsStruct<CreateOrUpdateInstructionArgs & {
    instructionDiscriminator: number;
}>;
export type CreateOrUpdateInstructionAccounts = {
    payer: web3.PublicKey;
    ruleSetPda: web3.PublicKey;
    systemProgram?: web3.PublicKey;
};
export declare const createOrUpdateInstructionDiscriminator = 0;
export declare function createCreateOrUpdateInstruction(accounts: CreateOrUpdateInstructionAccounts, args: CreateOrUpdateInstructionArgs, programId?: web3.PublicKey): web3.TransactionInstruction;
